Skip to main content
Resource Center/Network Service/Network Service Operations/Load Balancing Operations
GETLoad Balancing OperationsSince 4.0.0SynchronousAuth Required

QueryLoadBalancerServerGroup

QueryLoadBalancerServerGroup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The UUID of the server group.

    • nameStringRequired

      The name of the server group.

    • descriptionStringRequired

      The detailed description of the server group.

    • loadBalancerUuidStringRequired

      The load balancer UUID.

    • createDateTimestampRequired

      The time when the server group was created.

    • lastOpDateTimestampRequired

      The time when the server group was last modified.

    • listenerServerGroupRefsListRequired

      See listenerServerGroupRefs.

      • idlongRequired

        资源ID。

      • listenerUuidStringRequired

        No description provided.

      • serverGroupUuidStringRequired

        服务器组UUID。

      • createDateTimestampRequired

        The time when the listener was created.

      • lastOpDateTimestampRequired

        The time when the listener was last modified.

    • serverIpsListRequired

      See serverIps.

      • idlongRequired

        资源ID。

      • descriptionStringRequired

        The detailed description of the IP address.

      • serverGroupUuidStringRequired

        服务器组UUID。

      • ipAddressStringRequired

        IP地址。

      • weightLongRequired

        权重。

      • statusStringRequired

        状态信息。

      • createDateTimestampRequired

        The time when the was used.

      • lastOpDateTimestampRequired

        The time when the was last modified.

    • vmNicRefsListRequired

      See vmNicRefs.

      • idLongRequired

        资源ID。

      • serverGroupUuidStringRequired

        服务器组UUID。

      • vmNicUuidStringRequired

        The VM NIC UUID.

      • weightLongRequired

        权重。

      • statusStringRequired

        状态信息。

      • createDateTimestampRequired

        The time when the NIC was added to the VM instance.

      • lastOpDateTimestampRequired

        The time when the NIC was last modified.

Endpoint

GET/zstack/v1/load-balancers/servergroups

/zstack/v1/load-balancers/servergroups

Operation ID

QueryLoadBalancerServerGroup

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/load-balancers/servergroups' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "f523d90c41b136279b523052149c9690", "name": "Test-LbServerGroup" } ] }

Change History

This API has no change history records yet.

View all change history